Subject: Re: What's cooking in git.git (Nov 2024, #07; Wed, 20)

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Nov 2024 10:10:07 +0900

Patrick Steinhardt <[email-masked]> writes:

> On Wed, Nov 20, 2024 at 05:49:34PM +0900, Junio C Hamano wrote:
>> * ps/gc-stale-lock-warning (2024-11-20) 1 commit
> ...
> I'm never quite sure whether I should speak of the command or the code
> unit in this edge case, but this message here seems to indicate that it
> would be preferable to mention the actual command instead.

Either is probably fine, but when the commit describes a fix or an
update to an end-user observable behaviour, the command name would
make a better label to appear in "git shortlog".

>> * ps/send-pack-unhide-error-in-atomic-push (2024-11-15) 6 commits
> ...
> I'll review this patch series later this week.

Thanks.

>> * ps/leakfixes-part-10 (2024-11-13) 28 commits
>> ...
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> Toon left another comment that I'll want to have a look at before
> merging this to "next".

I guess we now have a hopefully final reroll, which I saw and picked
up.

>> * ds/path-walk-1 (2024-11-11) 6 commits
>>  - path-walk: mark trees and blobs as UNINTERESTING
>>  - path-walk: visit tags and cached objects
>>  - path-walk: allow consumer to specify object types
>>  - t6601: add helper for testing path-walk API
>>  - test-lib-functions: add test_cmp_sorted
>>  - path-walk: introduce an object walk by path
>> 
>>  Introduce a new API to visit objects in batches based on a common
>>  path, or by type.
>> 
>>  Comments?
>>  source: <[email-masked]>
>
> I think what's interesting in this case is the incompatibility between
> the path-walk API and bitmaps. It seems like there is some push back
> based on this, but from my point of view the path-walk API still has
> uses where bitmaps don't matter that much, like in the proposed new
> git-backfill and git-survey tools. Both of which are of interest to me.

Yup, I didn't have a chance to carefully read what the new code does
yet, and didn't get an impression that anybody did either for v1 or
v2, but I may be mistaken.

>> * cc/promisor-remote-capability (2024-09-10) 4 commits
> ...
> Chris is currently writing such a doc that tries to clarify the bigger
> picture. So I guess we can evict this topic for now, start to discuss
> the vision and then once we're all on the same page start to think
> re-submit the topic.
>
> I've Cc'd him in case he disagrees with me.

Then I'll wait for Christian to speak up.

>> * sj/ref-contents-check (2024-11-15) 9 commits
>> ...
> I've already reviewed this version and expect a (probably final) reroll.

Thanks, I saw that (hopefully) final reroll and picked it up.

Thanks.